Summary: X based image viewer for darned near all images
Name: xv
Version: 3.10a
Release: 6mdk
Copyright: Shareware
Group: Graphics
Url: http://www.trilon.com/xv/xv.html 
BuildRoot: /var/tmp/xv-root

Source0: ftp://ftp.cis.upenn.edu/pub/xv/xv-3.10a.tar.bz2
Source1: ftp://swrinde.nde.swri.edu/pub/png/applications/xv-3.10a-png-1.2d.tar.bz2
Source2: xv
Source3: xv.xpm
Patch0: xv-3.10a-linux.patch.bz2
Patch1: xv-3.10a.JPEG-patch.bz2
Patch2: xv-3.10a-glibc.patch.bz2
Patch3: xv-deepcolor.patch.bz2
Patch4: xv-gifpatch.bz2
Patch5: xv-grabpatch.bz2
Patch6: xv-mp-tiff-patch.bz2
Patch7: xv-pdf.patch.bz2
#Patch8: xv-xpm.patch.bz2


%description
This is the famous 'xv' by John Bradley.  It is shareware, but
we ship it with the permission of the authors.  It is a graphics
viewer for many file types, including gif, jpg, tiff, xwd, etc.
It also have manipulation features such as cropping, expanding,
etc.

%prep
%setup -q
cd $RPM_BUILD_DIR/xv-3.10a
bzip2 -cd $RPM_SOURCE_DIR/xv-3.10a-png-1.2d.tar.bz2 |tar xvf -
patch -p1 --quiet < xvpng.diff
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
#%patch8 -p0


%build
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{X11R6/bin,X11R6/man/man1,lib}

make	BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
	LIBDIR=$RPM_BUILD_ROOT/usr/lib \
	install
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/usr/lib/menu/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/usr/share/icons/

%post
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi
  
%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi  
    
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README docs/xvdocs.ps BUGS CHANGELOG IDEAS 
/usr/X11R6/bin/xv
/usr/X11R6/bin/bggen
/usr/X11R6/bin/vdcomp
/usr/X11R6/bin/xcmap
/usr/X11R6/bin/xvpictoppm
/usr/X11R6/man/man1/xv.1*
/usr/X11R6/man/man1/bggen.1*
/usr/X11R6/man/man1/xcmap.1*
/usr/X11R6/man/man1/xvpictoppm.1*
/usr/X11R6/man/man1/vdcomp.1*
/usr/lib/menu/*
/usr/share/icons/*

%pre

%changelog
* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 3.10a-6mdk
- Added menu entry.

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 3.10a-5mdk
- Release.

* Sun Nov 14 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Remove all locale
- Apply some patchs
- New kdelnk

* Fri May 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Lipstick bug fix.

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.

* Wed Dec 16 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- start with RH release 13
- bzip2 man pages
- handle RPM_OPT_FLAGS

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry 

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups
- added patch to manipulate PNG files

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- incorporated new jpegv6 patch from the author's web site
